@echo off
REM ##################################################################
REM # 13-02-30/00 : 2001/12/27 : ~ma-kaga    : TJAV2222388 : Created.
REM ##################################################################

REM ##  add parameter
SET ADDPARMS=

REM ##  get arguments
SET ARGS=
:START
IF "%1"=="" GOTO END
SET ARGS=%ARGS% %1
SHIFT
GOTO START
:END

REM ##  search new archive file
SET TMP_FILE=a.txt
DIR /B /ON spfc*.jar >%TMP_FILE%
FOR /F %%J IN (%TMP_FILE%) DO SET JAR=%%J
DEL %TMP_FILE%

REM ##  create command
SET COMMAND=java -cp %JAR% SPFC_Application %ADDPARMS% %ARGS%

REM ##  start java
echo %COMMAND%
%COMMAND%

